Bug 868298 - ecryptfs-migrate-home shouldn't call setsebool unconditionally
ecryptfs-migrate-home shouldn't call setsebool unconditionally
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: ecryptfs-utils (Show other bugs)
17
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Michal Hlavinka
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 868324
  Show dependency treegraph
 
Reported: 2012-10-19 08:47 EDT by Martin Wilck
Modified: 2012-11-14 21:40 EST (History)
2 users (show)

See Also:
Fixed In Version: ecryptfs-utils-100-5.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 868324 (view as bug list)
Environment:
Last Closed: 2012-11-14 21:36:52 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
proposed patch (506 bytes, patch)
2012-10-19 08:47 EDT, Martin Wilck
no flags Details | Diff

  None (edit)
Description Martin Wilck 2012-10-19 08:47:47 EDT
Created attachment 630010 [details]
proposed patch

Description of problem:
ecryptfs-migrate-home calls 

setsebool -P use_ecryptfs_home_dirs=1 1>/dev/null 2>&1 ||:

even if that boolean is already set. Setsebool -P is a very costly operation that needs several minutes to run even on new hardware.

Version-Release number of selected component (if applicable):
ecryptfs-utils-100-4.fc17.x86_64

How reproducible:
always
Comment 1 Fedora Update System 2012-10-30 09:18:13 EDT
ecryptfs-utils-101-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ecryptfs-utils-101-1.fc18
Comment 2 Fedora Update System 2012-10-30 09:18:35 EDT
ecryptfs-utils-101-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/ecryptfs-utils-101-1.fc17
Comment 3 Fedora Update System 2012-10-30 09:18:49 EDT
ecryptfs-utils-101-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/ecryptfs-utils-101-1.fc16
Comment 4 Fedora Update System 2012-10-30 16:13:05 EDT
Package ecryptfs-utils-101-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing ecryptfs-utils-101-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-17238/ecryptfs-utils-101-1.fc18
then log in and leave karma (feedback).
Comment 5 Fedora Update System 2012-11-14 21:36:55 EST
ecryptfs-utils-101-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2012-11-14 21:40:57 EST
ecryptfs-utils-101-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.